//
//  Counter.m
//  nativeModuleIOS
//
//  Created by Lakshmi Pawar on 26/07/22.
//
#import <Foundation/Foundation.h>

#import "React/RCTBridgeModule.h"
#import "React/RCTEventEmitter.h"

@interface RCT_EXTERN_MODULE(Counter, NSObject)

RCT_EXTERN_METHOD(addEvent:(NSString *)name location:(NSString *)location date:(nonnull NSNumber *)date callback:(RCTResponseSenderBlock)callback)

RCT_EXTERN_METHOD(login:(NSString *)userName password:(NSString *)password callback:(RCTResponseSenderBlock)callback)

RCT_EXTERN_METHOD(newGreetings)

RCT_EXTERN_METHOD(greetings:(RCTResponseSenderBlock)callback)

+ (BOOL) requiresMainQueueSetup {
  return YES;
}

@end
